[MPlayer-cvslog] r34528 - trunk/tests/faterun.sh
reimar
subversion at mplayerhq.hu
Sun Jan 8 10:28:51 CET 2012
Author: reimar
Date: Sun Jan 8 10:28:51 2012
New Revision: 34528
Log:
Clean up faterun.sh.
Better variable names, less duplicated code, some whitespace, variable quoting...
Modified:
trunk/tests/faterun.sh
Modified: trunk/tests/faterun.sh
==============================================================================
--- trunk/tests/faterun.sh Sun Jan 8 10:25:45 2012 (r34527)
+++ trunk/tests/faterun.sh Sun Jan 8 10:28:51 2012 (r34528)
@@ -1,15 +1,25 @@
#!/bin/sh
-i=$1
-echo "running $i"
-mkdir -p tests/res/$(dirname $i)
-touch tests/res/$i.md5
-./mplayer -noconfig all -lavdopts threads=4:bitexact -really-quiet -noconsolecontrols -nosound -benchmark -vo md5sum:outfile=tests/res/$i.md5 $FATE_SAMPLES/$i
-ref_file=tests/ref/$i.md5
-if ! [ -e $ref_file ] ; then
+if [ -z "$FATE_SAMPLES" ] ; then
+ echo "FATE_SAMPLES is not set!"
+ exit 1
+fi
+
+sample="$1"
+md5out="tests/res/$sample.md5"
+ref_file="tests/ref/$sample.md5"
+echo "testing $sample"
+
+# create necessary files and run
+mkdir -p $(dirname "$md5out")
+touch "$md5out"
+./mplayer -noconfig all -lavdopts threads=4:bitexact -really-quiet -noconsolecontrols -nosound -benchmark -vo md5sum:outfile="$md5out" "$FATE_SAMPLES/$sample"
+
+# check result
+if ! [ -e "$ref_file" ] ; then
touch tests/ref/empty.md5
ref_file=tests/ref/empty.md5
fi
-if ! diff -uw $ref_file tests/res/$i.md5 ; then
- mv tests/res/$i.md5 tests/res/$i.md5.bad
+if ! diff -uw "$ref_file" "$md5out" ; then
+ mv "$md5out" "$md5out.bad"
exit 1
fi
More information about the MPlayer-cvslog
mailing list